.\"	$NetBSD: yppush.8,v 1.11 2005/02/26 16:34:20 thorpej Exp $
.\"
.\" Copyright (c) 1995 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt YPPUSH 8
.Os
.Sh NAME
.Nm yppush
.Nd force distribution of NIS map
.Sh SYNOPSIS
.Nm
.Op Fl v
.Bk -words
.Op Fl d Ar domainname
.Ek
.Bk -words
.Op Fl h Ar hostname
.Ek
.Ar mapname
.Sh DESCRIPTION
.Nm
is used to distribute a
.Tn NIS
map from a master server to any
slave server in the domain. The list of servers of
.Pa domainname
are fetched from the
.Tn NIS
map
.Pa ypservers .
.Pp
The options are as follows:
.Bl -tag -width "-d domainname"
.It Fl d Ar domainname
.Tn NIS
domain to use instead of the default domain.
.It Fl h Ar hostname
Distribute map only to one host and not to the hosts in the ypserver map.
.It Fl v
Verbose. Announce what the program is doing.
.El
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr nis 8 ,
.Xr ypserv 8
.Sh AUTHORS
.An Charles D. Cranor
